osl::effect::EffectedNumTable Class Reference

`#include <effectedNumTable.h>`

## Public Member Functions

| EffectedNumTable ()
| EffectedNumTable (SimpleState const &)
const EffectedNum & | operator[] (int i) const
void | clear ()
EffectedNum & | operator[] (int i)

## Private Attributes

CArray< EffectedNum, 40 > | contents

## Detailed Description

Definition at line 43 of file effectedNumTable.h.

## Constructor & Destructor Documentation

## EffectedNumTable() [1/2]

osl::effect::EffectedNumTable::EffectedNumTable | ( |  | ) |

inline

Definition at line 51 of file effectedNumTable.h.

References clear().

## EffectedNumTable() [2/2]

osl::effect::EffectedNumTable::EffectedNumTable | ( | SimpleState const & | state | ) |

Definition at line 14 of file effectedNumTable.cc.

References osl::Board_Table, clear(), contents, osl::dirToMask(), osl::inverse(), osl::Square::isEdge(), osl::Piece::isOnBoard(), osl::Piece::number(), osl::Piece::owner(), osl::SimpleState::pieceAt(), osl::SimpleState::pieceOf(), osl::Piece::ptype(), osl::Ptype_Table, osl::shortToLong(), osl::Piece::square(), and osl::WHITE.

## Member Function Documentation

## clear()

void osl::effect::EffectedNumTable::clear | ( |  | ) |

Definition at line 9 of file effectedNumTable.cc.

References clear(), and contents.

Referenced by clear(), EffectedNumTable(), and EffectedNumTable().

## operator[]() [1/2]

EffectedNum & osl::effect::EffectedNumTable::operator[] | ( | int | i | ) |

inline

Definition at line 57 of file effectedNumTable.h.

References contents.

## operator[]() [2/2]

const EffectedNum & osl::effect::EffectedNumTable::operator[] | ( | int | i | ) | const

inline

Definition at line 53 of file effectedNumTable.h.

References contents.

## Member Data Documentation

## contents

CArray<EffectedNum,40> osl::effect::EffectedNumTable::contents

private

Definition at line 45 of file effectedNumTable.h.

Referenced by clear(), EffectedNumTable(), operator[](), and operator[]().

The documentation for this class was generated from the following files:

- effectedNumTable.h
- effectedNumTable.cc